> This page is for Itential Platform On-Prem, version 6 (default).
> For other versions, use one of these documentation indexes:
> - 6 (default): https://docs-test.itntl.com/itential-platform/6/llms.txt
> - 2023.2: https://docs-test.itntl.com/itential-platform/2023-2/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs-test.itntl.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs-test.itntl.com/_mcp/server.

# List all SSO configurations

GET https://example.itential.io/sso/configs

Returns all SSO configurations.

Reference: https://docs-test.itntl.com/itential-platform/6/api-reference/sso/get-sso-configs

## Authentication

- `Authorization` header (basic auth, required) — Basic authentication of the form `Basic <base64(username:password)>`.

## Request

### Query parameters

- `contains` (string, optional) — contains
- `containsField` (enum, optional) — containsField
  - Allowed values: `name`, `samlEmailAttribute`, `samlUserNameAttribute`, `samlGroupsAttribute`, `samlFirstNameAttribute`, `ssoType`
- `equals` (string, optional) — equals
- `equalsField` (enum, optional) — equalsField
  - Allowed values: `name`, `samlEmailAttribute`, `samlUserNameAttribute`, `samlGroupsAttribute`, `samlFirstNameAttribute`, `ssoType`
- `startsWith` (string, optional) — startsWith
- `startsWithField` (enum, optional) — startsWithField
  - Allowed values: `name`, `samlEmailAttribute`, `samlUserNameAttribute`, `samlGroupsAttribute`, `samlFirstNameAttribute`, `ssoType`
- `skip` (integer, optional, default: 0) — skip
- `limit` (integer, optional, default: 25) — limit
- `sort` (enum, optional, default: name) — sort
  - Allowed values: `name`
- `order` (enum, optional, default: 1) — order
  - Allowed values: `-1`, `1`

## Response

### 200

Contains an array of SSO configurations and the total in the response.

- `results` (list of iap_sso-schema, optional)
- `total` (integer, optional) — The total number of documents

## Errors

### 500 Internal Server Error

Error response from API

- `any`

## Types

### iap_sso-schema

Schema describing an SSO configuration object

- `name` (string, required) — Name of the SSO configuration
- `ssoType` (enum, required) — Single sign on type, SAML, OpenID, etc.
  - Allowed values: `saml`
- `settings` (IapSsoSchemaSettings, required) — The configuration for the sso type used
- `active` (boolean, optional, default: false) — Whether or not the SSO Config is selected for use. For 'active' to be true, 'tested' must also be true.
- `tested` (boolean, optional) — Whether the sso config was tested

### IapSsoSchemaSettings

The configuration for the sso type used

### IapSsoSchemaSettings0

- `issuer` (string, required) — Issuer identity provider
- `loginURL` (string, required) — Login URL for SSO identity provider
- `certificate` (string, required) — Security certificate
- `samlUserNameAttribute` (string, required, default: username) — Attribute containing the full user name
- `samlGroupsAttribute` (string, required, default: groups) — Attribute containing the name of the groups property
- `forceLogin` (boolean, required, default: false) — A boolean flag indicating if a user is forced to login
- `description` (string, optional) — A description of the sso configuration
- `logoutURL` (string, optional) — Logout URL for SSO identity provider
- `samlEmailAttribute` (string, optional, default: email) — Attribute containing user email address
- `samlFirstNameAttribute` (string, optional) — Attribute containing the first name of the user
- `disableAuthnContext` (boolean, optional, default: false) — A boolean flag determining if we check how a user logged in

## Examples

**Response**

```json
{
  "results": [
    {
      "name": "Auth0",
      "ssoType": "saml",
      "settings": {
        "certificate": "MIIDrjCCApagAwIBAgIGAYbHI140MA0GCSqGSIb3DQEBCwUAMIGXMQswCQYDVQQGEwJVUzETMBEGA1UECAwKQ2FsaWZvcm5pYTEWMBQGA1UEBwwNU2FuIEZyYW5jaXNjbzENMAsGA1UECgwET2t0YTEU==",
        "description": "This sso configuration connects to Okta",
        "disableAuthnContext": false,
        "forceLogin": false,
        "issuer": "https://www.auth0.com/oauth2/example",
        "loginURL": "https://www.auth0.com/login",
        "logoutURL": "https://www.auth0.com/logout",
        "samlEmailAttribute": "mail",
        "samlFirstNameAttribute": "firstName",
        "samlGroupsAttribute": "groups",
        "samlUserNameAttribute": "userName"
      },
      "active": false,
      "tested": true
    }
  ],
  "total": 1
}
```

**SDK Code**

```python
import requests

url = "https://example.itential.io/sso/configs"

querystring = {"contains":"GitHub","equals":"Okta","limit":"1","skip":"1","startsWith":"Okta"}

response = requests.get(url, params=querystring)

print(response.json())
```

```javascript
const url = 'https://example.itential.io/sso/configs?contains=GitHub&equals=Okta&limit=1&skip=1&startsWith=Okta';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://example.itential.io/sso/configs?contains=GitHub&equals=Okta&limit=1&skip=1&startsWith=Okta"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://example.itential.io/sso/configs?contains=GitHub&equals=Okta&limit=1&skip=1&startsWith=Okta")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://example.itential.io/sso/configs?contains=GitHub&equals=Okta&limit=1&skip=1&startsWith=Okta")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://example.itential.io/sso/configs?contains=GitHub&equals=Okta&limit=1&skip=1&startsWith=Okta');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://example.itential.io/sso/configs?contains=GitHub&equals=Okta&limit=1&skip=1&startsWith=Okta");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://example.itential.io/sso/configs?contains=GitHub&equals=Okta&limit=1&skip=1&startsWith=Okta")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```